org.apache.synapse.commons.throttle.core

## Class ConcurrentAccessUpdateClusterMessage

- java.lang.Object
- - org.apache.axis2.clustering.ClusteringCommand
  - - org.apache.axis2.clustering.ClusteringMessage
    - - org.apache.synapse.commons.throttle.core.ConcurrentAccessUpdateClusterMessage

- All Implemented Interfaces:
    java.io.Serializable

      public class ConcurrentAccessUpdateClusterMessage
      extends org.apache.axis2.clustering.ClusteringMessage

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentAccessUpdateClusterMessage(java.lang.String key, java.lang.Boolean action)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(org.apache.axis2.context.ConfigurationContext configContext)`
    `org.apache.axis2.clustering.ClusteringCommand` | `getResponse()`

    - ### Methods inherited from class org.apache.axis2.clustering.ClusteringMessage

      `equals, getTimestamp, getUuid, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentAccessUpdateClusterMessage

          public ConcurrentAccessUpdateClusterMessage(java.lang.String key,
                                                      java.lang.Boolean action)

  - ### Method Detail

    - #### getResponse

          public org.apache.axis2.clustering.ClusteringCommand getResponse()

      Specified by:
        `getResponse` in class `org.apache.axis2.clustering.ClusteringMessage`

    - #### execute

          public void execute(org.apache.axis2.context.ConfigurationContext configContext)
                       throws org.apache.axis2.clustering.ClusteringFault

      Specified by:
        `execute` in class `org.apache.axis2.clustering.ClusteringCommand`
      Throws:
        `org.apache.axis2.clustering.ClusteringFault`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.